Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.boxity.components
Class Include

    java.lang.Object
      org.apache.tapestry.spec.BaseLocatable
          org.apache.tapestry.AbstractComponent
              com.boxity.components.Include

All Implemented Interfaces:
  org.apache.tapestry.IComponent, org.apache.tapestry.ILocatable, org.apache.tapestry.ILocationHolder, org.apache.tapestry.IRender

    public abstract class Include

extends org.apache.tapestry.AbstractComponent

Tapestry component used to include static content from a relative or absolute URI into the HTML response. This component may be used to emulate server-side include functionality. Since relative links of the source URI may not be meaningful within the context of the application, it may be best to avoid them.

Caching is enabled by default but may be disabled to force the component to fetch the target URI contents on each rendering.

Logging level of DEBUG will cause retrieved data to be logged.

Version:
  Include, Jun 21, 2005, 2:02:33 PM
Author:
  Shawn M Church

Constructor Summary
`Include()`

Method Summary
`abstract boolean` | `getCache()`
`abstract String` | `getStyleClass()`
`abstract Object` | `getUri()`
`protected void` | `renderComponent(org.apache.tapestry.IMarkupWriter writer, org.apache.tapestry.IRequestCycle cycle)` Resolves and prints the data stream specified by the uri parameter.

Methods inherited from class org.apache.tapestry.AbstractComponent
`addAsset, addBody, addComponent, cleanupAfterRender, finishLoad, finishLoad, fireObservedChange, fireObservedChange, fireObservedChange, fireObservedChange, fireObservedChange, fireObservedChange, fireObservedChange, fireObservedChange, fireObservedChange, format, format, format, format, formatString, formatString, formatString, formatString, generateAttributes, getAsset, getAssets, getBeans, getBinding, getBindingNames, getBindings, getBody, getBodyCount, getChangeObserver, getComponent, getComponents, getContainer, getExtendedId, getId, getIdPath, getListeners, getMessage, getMessages, getNamespace, getPage, getProperty, getSpecification, getString, pageEndRender, prepareForRender, render, renderBody, renderInformalParameters, setBinding, setContainer, setId, setNamespace, setPage, setProperty, setSpecification, toString`

Methods inherited from class org.apache.tapestry.spec.BaseLocatable
`getLocation, setLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.tapestry.ILocationHolder
`setLocation`

Methods inherited from interface org.apache.tapestry.ILocatable
`getLocation`

Constructor Detail

### Include

    public Include()

Method Detail

### getUri

    public abstract Object getUri()

### getStyleClass

    public abstract String getStyleClass()

### getCache

    public abstract boolean getCache()

### renderComponent

    protected void renderComponent(org.apache.tapestry.IMarkupWriter writer,
                                   org.apache.tapestry.IRequestCycle cycle)

  Resolves and prints the data stream specified by the uri parameter.

  Specified by:
    `renderComponent` in class `org.apache.tapestry.AbstractComponent`
  Parameters:
    `writer` -
    `cycle` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005. All Rights Reserved.